# Uses of Interface
org.eclipse.pde.core.IModelChangedEvent

Packages that use IModelChangedEvent
Package
Description
org.eclipse.pde.core
Application programming interfaces for working with PDE's models.

## Uses of IModelChangedEvent in org.eclipse.pde.core

Classes in org.eclipse.pde.core that implement IModelChangedEvent
Modifier and Type
Class
Description
`class`
`ModelChangedEvent`
Methods in org.eclipse.pde.core with parameters of type IModelChangedEvent
Modifier and Type
Method
Description
`void`
IModelChangeProvider.`fireModelChanged(IModelChangedEvent event)`
Delivers change event to all the registered listeners.
`void`
IModelChangedListener.`modelChanged(IModelChangedEvent event)`
Called when there is a change in the model this listener is registered with.